summaryrefslogtreecommitdiff
path: root/dev-python/siphash24
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/siphash24
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/siphash24')
-rw-r--r--dev-python/siphash24/Manifest2
-rw-r--r--dev-python/siphash24/metadata.xml8
-rw-r--r--dev-python/siphash24/siphash24-1.8.ebuild30
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/siphash24/Manifest b/dev-python/siphash24/Manifest
new file mode 100644
index 000000000000..cb15cbe1c94e
--- /dev/null
+++ b/dev-python/siphash24/Manifest
@@ -0,0 +1,2 @@
+DIST siphash24-1.8.tar.gz 19946 BLAKE2B b6c54c6ee528c01cc575985144bb2c27cc1ef7411d66ec9ec1a15fa3c48afa4fa53ad19d2d3b88af32b2cbbe69def2f5e1567ae4bbabdeb2f75e525a657a5810 SHA512 90511e7d6105f48527fd5927b0dc89f477ca0ae122b3d793bd666b187a3236866bb3c51e3282ac455bf4f26e9fa087ca4215b9ad8a3003fa10d3b76f67ee2ec5
+DIST siphash24-1.8.tar.gz.provenance 9349 BLAKE2B d3031c3fe404bbe5817e333830b7b0dec9c99e984e819e2a727764f1f03bfc44f6366be5cdc0465b47cae8d3946b8771d23f338d25bc7e29c9c5fe63e67bfda0 SHA512 1fe7a226097f86fbe6688863dfdfd92be253ca3f9fed651c4288b3def99526d5cf47c638eea0e108ec97a74e1c9b32b49deebbbad579079ed22caafa1db50bff
diff --git a/dev-python/siphash24/metadata.xml b/dev-python/siphash24/metadata.xml
new file mode 100644
index 000000000000..988ae9a6a6fe
--- /dev/null
+++ b/dev-python/siphash24/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/siphash24/siphash24-1.8.ebuild b/dev-python/siphash24/siphash24-1.8.ebuild
new file mode 100644
index 000000000000..1f0ed92a50dd
--- /dev/null
+++ b/dev-python/siphash24/siphash24-1.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYPI_VERIFY_REPO=https://github.com/dnicolodi/python-siphash24
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Streaming-capable SipHash-1-3 and SipHash-2-4 Implementation"
+HOMEPAGE="
+ https://github.com/dnicolodi/python-siphash24/
+ https://pypi.org/project/siphash24/
+"
+
+LICENSE="|| ( Apache-2.0 LGPL-2.1+ )"
+SLOT="0"
+KEYWORDS="amd64 arm64 ~ppc64 ~riscv"
+
+DEPEND="
+ dev-libs/c-siphash
+"
+BDEPEND="
+ >=dev-python/cython-3.1.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest